"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchType = exports.ListingType = exports.SortType = exports.UserOperation = void 0;
var UserOperation;
(function (UserOperation) {
    UserOperation[UserOperation["Login"] = 0] = "Login";
    UserOperation[UserOperation["Register"] = 1] = "Register";
    UserOperation[UserOperation["GetCaptcha"] = 2] = "GetCaptcha";
    UserOperation[UserOperation["CreateCommunity"] = 3] = "CreateCommunity";
    UserOperation[UserOperation["CreatePost"] = 4] = "CreatePost";
    UserOperation[UserOperation["ListCommunities"] = 5] = "ListCommunities";
    UserOperation[UserOperation["ListCategories"] = 6] = "ListCategories";
    UserOperation[UserOperation["GetPost"] = 7] = "GetPost";
    UserOperation[UserOperation["GetCommunity"] = 8] = "GetCommunity";
    UserOperation[UserOperation["CreateComment"] = 9] = "CreateComment";
    UserOperation[UserOperation["EditComment"] = 10] = "EditComment";
    UserOperation[UserOperation["DeleteComment"] = 11] = "DeleteComment";
    UserOperation[UserOperation["RemoveComment"] = 12] = "RemoveComment";
    UserOperation[UserOperation["MarkCommentAsRead"] = 13] = "MarkCommentAsRead";
    UserOperation[UserOperation["SaveComment"] = 14] = "SaveComment";
    UserOperation[UserOperation["CreateCommentLike"] = 15] = "CreateCommentLike";
    UserOperation[UserOperation["GetPosts"] = 16] = "GetPosts";
    UserOperation[UserOperation["CreatePostLike"] = 17] = "CreatePostLike";
    UserOperation[UserOperation["EditPost"] = 18] = "EditPost";
    UserOperation[UserOperation["DeletePost"] = 19] = "DeletePost";
    UserOperation[UserOperation["RemovePost"] = 20] = "RemovePost";
    UserOperation[UserOperation["LockPost"] = 21] = "LockPost";
    UserOperation[UserOperation["StickyPost"] = 22] = "StickyPost";
    UserOperation[UserOperation["SavePost"] = 23] = "SavePost";
    UserOperation[UserOperation["EditCommunity"] = 24] = "EditCommunity";
    UserOperation[UserOperation["DeleteCommunity"] = 25] = "DeleteCommunity";
    UserOperation[UserOperation["RemoveCommunity"] = 26] = "RemoveCommunity";
    UserOperation[UserOperation["FollowCommunity"] = 27] = "FollowCommunity";
    UserOperation[UserOperation["GetFollowedCommunities"] = 28] = "GetFollowedCommunities";
    UserOperation[UserOperation["GetUserDetails"] = 29] = "GetUserDetails";
    UserOperation[UserOperation["GetReplies"] = 30] = "GetReplies";
    UserOperation[UserOperation["GetUserMentions"] = 31] = "GetUserMentions";
    UserOperation[UserOperation["MarkUserMentionAsRead"] = 32] = "MarkUserMentionAsRead";
    UserOperation[UserOperation["GetModlog"] = 33] = "GetModlog";
    UserOperation[UserOperation["BanFromCommunity"] = 34] = "BanFromCommunity";
    UserOperation[UserOperation["AddModToCommunity"] = 35] = "AddModToCommunity";
    UserOperation[UserOperation["CreateSite"] = 36] = "CreateSite";
    UserOperation[UserOperation["EditSite"] = 37] = "EditSite";
    UserOperation[UserOperation["GetSite"] = 38] = "GetSite";
    UserOperation[UserOperation["AddAdmin"] = 39] = "AddAdmin";
    UserOperation[UserOperation["BanUser"] = 40] = "BanUser";
    UserOperation[UserOperation["Search"] = 41] = "Search";
    UserOperation[UserOperation["MarkAllAsRead"] = 42] = "MarkAllAsRead";
    UserOperation[UserOperation["SaveUserSettings"] = 43] = "SaveUserSettings";
    UserOperation[UserOperation["TransferCommunity"] = 44] = "TransferCommunity";
    UserOperation[UserOperation["TransferSite"] = 45] = "TransferSite";
    UserOperation[UserOperation["DeleteAccount"] = 46] = "DeleteAccount";
    UserOperation[UserOperation["PasswordReset"] = 47] = "PasswordReset";
    UserOperation[UserOperation["PasswordChange"] = 48] = "PasswordChange";
    UserOperation[UserOperation["CreatePrivateMessage"] = 49] = "CreatePrivateMessage";
    UserOperation[UserOperation["EditPrivateMessage"] = 50] = "EditPrivateMessage";
    UserOperation[UserOperation["DeletePrivateMessage"] = 51] = "DeletePrivateMessage";
    UserOperation[UserOperation["MarkPrivateMessageAsRead"] = 52] = "MarkPrivateMessageAsRead";
    UserOperation[UserOperation["GetPrivateMessages"] = 53] = "GetPrivateMessages";
    UserOperation[UserOperation["UserJoin"] = 54] = "UserJoin";
    UserOperation[UserOperation["GetComments"] = 55] = "GetComments";
    UserOperation[UserOperation["GetSiteConfig"] = 56] = "GetSiteConfig";
    UserOperation[UserOperation["SaveSiteConfig"] = 57] = "SaveSiteConfig";
    UserOperation[UserOperation["PostJoin"] = 58] = "PostJoin";
    UserOperation[UserOperation["CommunityJoin"] = 59] = "CommunityJoin";
})(UserOperation = exports.UserOperation || (exports.UserOperation = {}));
var SortType;
(function (SortType) {
    SortType["Active"] = "Active";
    SortType["Hot"] = "Hot";
    SortType["New"] = "New";
    SortType["TopDay"] = "TopDay";
    SortType["TopWeek"] = "TopWeek";
    SortType["TopMonth"] = "TopMonth";
    SortType["TopYear"] = "TopYear";
    SortType["TopAll"] = "TopAll";
})(SortType = exports.SortType || (exports.SortType = {}));
var ListingType;
(function (ListingType) {
    ListingType["All"] = "All";
    ListingType["Local"] = "Local";
    ListingType["Subscribed"] = "Subscribed";
    ListingType["Community"] = "Community";
})(ListingType = exports.ListingType || (exports.ListingType = {}));
var SearchType;
(function (SearchType) {
    SearchType["All"] = "All";
    SearchType["Comments"] = "Comments";
    SearchType["Posts"] = "Posts";
    SearchType["Communities"] = "Communities";
    SearchType["Users"] = "Users";
    SearchType["Url"] = "Url";
})(SearchType = exports.SearchType || (exports.SearchType = {}));
